import { Pojo } from './types';
export declare type processFn<T> = (fullpath: string, content: string) => T;
export interface CacheItem<T> {
    value: T;
    stat: {
        mtime: Date;
    };
}
export interface MinimalFS {
    statSync: (fullpath: string) => {
        mtime: Date;
    };
    readFileSync: (fullpath: string, encoding: string) => string;
}
export interface FileProcessor<T> {
    process: (fullpath: string, ignoreCache?: boolean, context?: string) => T;
    add: (fullpath: string, value: T) => void;
    processContent: (content: string, fullpath: string) => T;
    cache: Pojo<CacheItem<T>>;
    postProcessors: Array<(value: T, path: string) => T>;
}
export declare function cachedProcessFile<T = any>(processor: processFn<T>, fs: MinimalFS, resolvePath: (path: string, context?: string) => string): FileProcessor<T>;
//# sourceMappingURL=cached-process-file.d.ts.map