import * as postcss from 'postcss';
import { Diagnostics } from './diagnostics';
import { StylableMeta } from './stylable-processor';
import { CSSResolve, JSResolve, StylableResolver } from './stylable-resolver';
import { replaceValueHook, StylableTransformer } from './stylable-transformer';
import { Pojo } from './types';
export declare type ValueFormatter = (name: string) => string;
export declare type ResolvedFormatter = Pojo<JSResolve | CSSResolve | ValueFormatter | null>;
export declare function resolveArgumentsValue(options: Pojo<string>, transformer: StylableTransformer, meta: StylableMeta, variableOverride?: Pojo<string>, path?: string[]): Pojo<string>;
export declare function evalDeclarationValue(resolver: StylableResolver, value: string, meta: StylableMeta, node: postcss.Node, variableOverride?: Pojo<string> | null, valueHook?: replaceValueHook, diagnostics?: Diagnostics, passedThrough?: string[]): string;
//# sourceMappingURL=functions.d.ts.map