import * as postcss from 'postcss';
import { Diagnostics } from './diagnostics';
import { SelectorAstNode } from './selector-utils';
import { StateResult } from './state-validators';
import { ClassSymbol, ElementSymbol, StylableMeta, StylableSymbol } from './stylable-processor';
import { StylableResolver } from './stylable-resolver';
import { MappedStates } from './stylable-value-parsers';
import { Pojo, StateParsedValue } from './types';
export declare function processPseudoStates(value: string, decl: postcss.Declaration, diagnostics: Diagnostics): MappedStates;
export declare function validateStateDefinition(decl: postcss.Declaration, meta: StylableMeta, resolver: StylableResolver, diagnostics: Diagnostics): void;
export declare function validateStateArgument(stateAst: StateParsedValue, meta: StylableMeta, value: string, resolver: StylableResolver, diagnostics: Diagnostics, rule?: postcss.Rule, validateDefinition?: boolean, validateValue?: boolean): StateResult;
export declare function transformPseudoStateSelector(meta: StylableMeta, node: SelectorAstNode, name: string, symbol: StylableSymbol | null, origin: StylableMeta, originSymbol: ClassSymbol | ElementSymbol, resolver: StylableResolver, diagnostics: Diagnostics, rule?: postcss.Rule): StylableMeta;
export declare function setStateToNode(states: Pojo<StateParsedValue>, meta: StylableMeta, name: string, node: SelectorAstNode, namespace: string, resolver: StylableResolver, diagnostics: Diagnostics, rule?: postcss.Rule): void;
export declare function autoStateAttrName(stateName: string, namespace: string, suffix?: string): string;
//# sourceMappingURL=pseudo-states.d.ts.map