import { FileProcessor } from './cached-process-file';
import { ImportSymbol, StylableMeta, StylableSymbol } from './stylable-processor';
import { StylableTransformer } from './stylable-transformer';
export interface CSSResolve {
    _kind: 'css';
    symbol: StylableSymbol;
    meta: StylableMeta;
}
export interface JSResolve {
    _kind: 'js';
    symbol: any;
    meta: null;
}
export declare class StylableResolver {
    protected fileProcessor: FileProcessor<StylableMeta>;
    protected requireModule: (modulePath: string) => any;
    constructor(fileProcessor: FileProcessor<StylableMeta>, requireModule: (modulePath: string) => any);
    resolveImport(importSymbol: ImportSymbol): CSSResolve | JSResolve | null;
    resolve(maybeImport: StylableSymbol | undefined): CSSResolve | JSResolve | null;
    deepResolve(maybeImport: StylableSymbol | undefined, path?: StylableSymbol[]): CSSResolve | JSResolve | null;
    resolveSymbolOrigin(symbol: StylableSymbol | undefined, meta: StylableMeta, path?: StylableSymbol[]): CSSResolve | null;
    resolveClass(meta: StylableMeta, symbol: StylableSymbol): CSSResolve | null;
    resolveName(meta: StylableMeta, symbol: StylableSymbol, isElement: boolean): CSSResolve | null;
    resolveElement(meta: StylableMeta, symbol: StylableSymbol): CSSResolve | null;
    resolveExtends(meta: StylableMeta, className: string, isElement?: boolean, transformer?: StylableTransformer): CSSResolve[];
}
//# sourceMappingURL=stylable-resolver.d.ts.map