"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var chai_1 = require("chai");
var postcss_1 = require("postcss");
var classname_optimizer_1 = require("../src/optimizer/classname-optimizer");
describe('StylableClassNameOptimizer  Unit', function () {
    it('should give unique names to classes and rewrite exports', function () {
        var optimizer = new classname_optimizer_1.StylableClassNameOptimizer();
        var ast = postcss_1.parse(".namespace--classname{} .namespace--thing{} .namespace--composed{}");
        var exports = {
            classname: 'namespace--classname',
            thing: 'namespace--thing',
            composed: 'namespace--composed namespace--classname'
        };
        optimizer.optimizeAstAndExports(ast, exports);
        chai_1.expect(exports, 'exports rewrite').to.eql({
            classname: 's0',
            thing: 's1',
            composed: 's2 s0'
        });
        chai_1.expect(ast.toString(), 'ast optimized').to.equal('.s0{} .s1{} .s2{}');
    });
});
//# sourceMappingURL=classname-optimizer.unit.spec.js.map