"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/* tslint:disable:max-line-length */
var chai_1 = require("chai");
var test_utils_1 = require("../utils/test-utils");
describe('Mixin diagnostics', function () {
    it('should not report missing function on -st-mixin directive', function () {
        var result = test_utils_1.generateFromMock({
            entry: "/entry.st.css",
            files: {
                '/entry.st.css': {
                    namespace: 'entry',
                    content: "\n                        :import {\n                            -st-from: \"./imported.st.css\";\n                            -st-named: y;\n                        }\n\n                        .x {\n                            -st-mixin: y(color1 green, color2 yellow);\n                        }\n                    "
                }
            }
        });
        chai_1.expect(result.meta.transformDiagnostics.reports.length).to.equal(0);
    });
});
//# sourceMappingURL=mixins.spec.js.map