import { Param, RuntimeStylesheet } from '../../src/types';
export interface QueryElement {
    querySelector: typeof Element.prototype.querySelector;
    querySelectorAll: typeof Element.prototype.querySelectorAll;
}
export declare class StylableDOMUtil {
    private style;
    private root?;
    constructor(style: RuntimeStylesheet, root?: QueryElement | undefined);
    select(selector?: string, element?: QueryElement): Element | null;
    selectAll(selector?: string, element?: QueryElement): Element[] | null;
    scopeSelector(selector?: string): string;
    hasStyleState(element: {
        getAttribute: typeof Element.prototype.getAttribute;
    }, stateName: string, param?: Param): boolean;
    getStyleState(element: {
        getAttribute: typeof Element.prototype.getAttribute;
    }, stateName: string): string | null;
    private getStateDataAttrKey;
    private getStateDataAttr;
}
//# sourceMappingURL=stylable-dom-util.d.ts.map